RNAlib-2.2.9

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Stochastic Backtracking of Structures from Distance Based Partitioning
RNA Secondary Structure Prediction » Classified Dynamic Programming » Distance based partitioning of the Secondary Structure Space RNA Secondary Structure Prediction » Enumerating Suboptimal Structures » | Stochastic backtracking in the Ensemble

Contains functions related to stochastic backtracking from a specified distance class. More...

Collaboration diagram for Stochastic Backtracking of Structures from Distance Based Partitioning:

## Functions
char * | vrna_pbacktrack_TwoD (vrna_fold_compound_t *vc, int d1, int d2)
| Sample secondary structure representatives from a set of distance classes according to their Boltzmann probability. More...
char * | vrna_pbacktrack5_TwoD (vrna_fold_compound_t *vc, int d1, int d2, unsigned int length)
| Sample secondary structure representatives with a specified length from a set of distance classes according to their Boltzmann probability. More...

## Detailed Description

Contains functions related to stochastic backtracking from a specified distance class.

## Function Documentation

char* vrna_pbacktrack_TwoD | ( | vrna_fold_compound_t * | vc,
|  | int | d1,
|  | int | d2
| ) |  |

`#include <ViennaRNA/2Dpfold.h>`

Sample secondary structure representatives from a set of distance classes according to their Boltzmann probability.

If the argument 'd1' is set to '-1', the structure will be backtracked in the distance class where all structures exceeding the maximum basepair distance to either of the references reside.

Precondition
  The argument 'vars' must contain precalculated partition function matrices, i.e. a call to vrna_pf_TwoD() preceding this function is mandatory!

See also
  vrna_pf_TwoD()

Parameters

  [in,out] | vc | The vrna_fold_compound_t datastructure containing all necessary folding attributes and matrices
  [in] | d1 | The distance to reference1 (may be -1)
  [in] | d2 | The distance to reference2

Returns
  A sampled secondary structure in dot-bracket notation

char* vrna_pbacktrack5_TwoD | ( | vrna_fold_compound_t * | vc,
|  | int | d1,
|  | int | d2,
|  | unsigned int | length
| ) |  |

`#include <ViennaRNA/2Dpfold.h>`

Sample secondary structure representatives with a specified length from a set of distance classes according to their Boltzmann probability.

This function does essentially the same as vrna_pbacktrack_TwoD() with the only difference that partial structures, i.e. structures beginning from the 5' end with a specified length of the sequence, are backtracked

Note
  This function does not work (since it makes no sense) for circular RNA sequences!

Precondition
  The argument 'vars' must contain precalculated partition function matrices, i.e. a call to vrna_pf_TwoD() preceding this function is mandatory!

See also
  vrna_pbacktrack_TwoD(), vrna_pf_TwoD()

Parameters

  [in,out] | vc | The vrna_fold_compound_t datastructure containing all necessary folding attributes and matrices
  [in] | d1 | The distance to reference1 (may be -1)
  [in] | d2 | The distance to reference2
  [in] | length | The length of the structure beginning from the 5' end

Returns
  A sampled secondary structure in dot-bracket notation